import React from 'react';
import { DetailsContainer, NodeHrefLink } from './styles';
import { SiteMap } from '../../../icons';
export var SessionItemDetails = function (_a) {
    var session = _a.session;
    var knowledgeOwner = session.knowledgeOwner, originNodeHref = session.originNodeHref;
    var description = [
        {
            name: 'Knowledge Owner',
            content: knowledgeOwner || 'none'
        },
        { name: 'originNodeHref', content: originNodeHref },
    ];
    var descriptionContent = description.map(function (item) {
        var name = item.name, content = item.content;
        if (!content) {
            return null;
        }
        if (name === 'originNodeHref') {
            var originNodeData = content;
            return (React.createElement(NodeHrefLink, { key: name, href: originNodeData.url },
                React.createElement(SiteMap, { width: 14, height: 14 }),
                originNodeData.name));
        }
        return (React.createElement("div", { key: name },
            React.createElement("b", null,
                name,
                ":"),
            React.createElement("span", null, content)));
    });
    return React.createElement(DetailsContainer, null, descriptionContent);
};
